<?php

/*********************************************************************************
 * The contents of this file are subject to the GNU General Public License
 * ("License"); You may not use this file except in compliance with the License
 * Written by: Nolan Andres, PeaceWorks Computer Consulting Inc.
 * Copyright (C) Sutherland-Schultz Inc.
 *     www.sutherland-schultz.com 
 * All Rights Reserved.
 ********************************************************************************/

require_once('modules/Settings/CustomField.php');

global $current_user;

// accept the parameters, continue if valid
if ( isset($_REQUEST['move']) ) {
    $rq = $_REQUEST['move'];
    switch ($rq) {
        case 'up':
        case 'down':
        case 'prevtab':
        case 'nexttab':
        case 'newtab':
        case 'prevsubblock':
        case 'nextsubblock':
        case 'newsubblock':
            if ( isset($_REQUEST['field']) ) {
                $fld = intval($_REQUEST['field']);
            } else {
                unset($rq);
            }
            break;
        default:
            unset($rq);
    }
}

if ( isset($rq) && is_admin($current_user) ) {
    $cf = new CustomField();
    $cf->loadFromDB( $fld );

    switch ( $rq ) {
        case 'up':
            $cf->moveUp();
            break;
        case 'down':
            $cf->moveDown();
            break;
        case 'prevsubblock':
            $cf->movePrevSubblock();
            break;
        case 'nextsubblock':
            $cf->moveNextSubblock();
            break;
        case 'newsubblock':
            $cf->moveNewSubblock();
            break;
        case 'prevtab':
            $cf->movePrevSubtab();
            break;
        case 'nexttab':
            $cf->moveNextSubtab();
            break;
        case 'newtab':
            $cf->moveNewSubtab();
            break;
    }
}

include("CustomFieldList.php");

?>