<?php

/*********************************************************************************
 * The contents of this file are subject to the GNU General Public License
 * ("License"); You may not use this file except in compliance with the License
 * Written by: Nolan Andres, PeaceWorks Computer Consulting Inc.
 * Copyright (C) Sutherland-Schultz Inc.
 *     www.sutherland-schultz.com 
 * All Rights Reserved.
 ********************************************************************************/

require_once('modules/Settings/CustomField.php');
require_once('include/database/PearDatabase.php');
require_once('XTemplate/xtpl.php');
require_once('themes/'.$theme.'/layout_utils.php');

global $adb;
global $mod_strings;
global $app_strings;
global $app_list_strings;

// collect parameters
//    eg. querystring: <a href="index.php?module=Settings&action=EditSubtab&fld_module=Accounts&tabid=6&block=5&blockname=Custom+Fields&subtab=3&subtabname=Engineering">
$fld_module = $_REQUEST['fld_module'];
$tabid = intval($_REQUEST['tabid']);
$block = intval($_REQUEST['block']);
$blockname = $_REQUEST['blockname'];
$subtab = intval($_REQUEST['subtab']);
$subtabname = $_REQUEST['subtabname'];

// set up the template
$xtpl=new XTemplate('modules/Settings/EditSubtab.html');
$xtpl->assign('SAVECMD','SaveSubtab');

// Header
$header = get_module_title('Settings', $mod_strings['LBL_EDITSUBTAB'], true);
$xtpl->assign('HEADER',$header);
$xtpl->assign('MOD', $mod_strings);
$xtpl->assign('APP', $app_strings);

$xtpl->assign('FLD_MODULE',$fld_module);

$stdeets = '
    <tr><td nowrap class="dataLabel" width="50%">'.$mod_strings['LBL_SUBTAB_MODULE'].': </td>
        <td nowrap class="dataField">'.$fld_module.'<input class="dataInput" type="hidden" name="tabid" value="'.$tabid.'"/></td></tr>';
$stdeets .= '
    <tr><td nowrap class="dataLabel" width="50%">'.$mod_strings['LBL_SUBTAB_BLOCK'].': </td>
        <td nowrap class="dataField">'.$blockname.'<input class="dataInput" type="hidden" name="block" value="'.$block.'"/></td></tr>';
$stdeets .= '
    <tr><td nowrap class="dataLabel" width="50%">'.$mod_strings['LBL_SUBTAB_NUMBER'].': </td>
        <td nowrap class="dataField">'.$subtab.'<input class="dataInput" type="hidden" name="subtab" value="'.$subtab.'"/></td></tr>';
$stdeets .= '
    <tr><td nowrap class="dataLabel" width="50%">'.$mod_strings['LBL_SUBTAB_NAME'].': </td>
        <td nowrap class="dataField"><input class="dataInput" type="text" name="subtabname" value="'.$subtabname.'" size="50"/></td></tr>';

$xtpl->assign('SUBTABDETAILS',$stdeets);

$xtpl->parse('main');
$xtpl->out('main');
?>
